> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Predictions Count

> Retrieve counts of element gene predictions and cell types associated with a given variant.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or files_filesets.

Example: variant_id = NC_000001.11:1628997:GGG:GG,

hgvs = NC_000001.11:g.1629000del,

spdi = NC_000001.11:1628997:GGG:GG,

ca_id = CA1522823495,

files_fileset = ENCFF705MLV.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/predictions-count
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/predictions-count:
    get:
      summary: Variants Predictions Count
      description: >-
        Retrieve counts of element gene predictions and cell types associated
        with a given variant.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, or files_filesets.


        Example: variant_id = NC_000001.11:1628997:GGG:GG,


        hgvs = NC_000001.11:g.1629000del,


        spdi = NC_000001.11:1628997:GGG:GG,


        ca_id = CA1522823495,


        files_fileset = ENCFF705MLV.
      operationId: genomicElementsFromVariantsCount
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema: {}
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````